# 22. Virtuoso Functions Guide - log

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
abs
atof
bit_and
bit_not
bit_or
bit_shift
bit_xor
ceiling
either
equ
exp
floor
isdouble
isfloat
isinteger
isnumeric
iszero
log
log10
lower
mod
power
randomize
rnd
sign
sqrt
trigonometric
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## log

calculate natural logarithm of an expression
log (in x double precision);
Parameters
x – double precision
Return Values

log.

Description

log calculates the natural logarithm of its argument and returns it as a IEEE 64-bit float.

Examples
Simple Examples

    SQL> select concat ('the LOG of 0.513513 is: ', cast (log (0.513513) as varchar));
    callret
    VARCHAR
    _______________________________________________________________________________

    the LOG of 0.513513 is: -0.666480

    1 Rows. -- 4 msec.

See Also

exp, log10, power, sqrt